#### MESSAGE

#### Synopsis

    HELP:   Select type of messages to log
    TYPE:   OBJECT
    SYNTAX: MESSAGE(NONE,ERROR,ERRTRACE,WARNING,NOTICE,DEBUG,ABOUT,VERSION,INPUT,PARAMETER,STATISTICS,SUMMARY,INFO,LICID,LICENSE,PROGRESS,OUTPUT,USAGE,CONDBG,SOURCE,TARGET,STDOUT,STDERR,MATCH,REPLACE,ALL,DEFAULT,MINIMAL,ERRONLY)

#### Description

The log message specification is a classification of the messages to write to the selected log destination. Each type is selectable individually by adding its argument inside this object.

For added convenience, the special types NON, ALL, MINIMAL select the proper message types with just one argument.

If no message specification is given, a DEFAULT is used which writes out messages of these types:

- ERROR
- ERRTRACE
- WARNING
- NOTICE
- PARAMETER
- STATISTICS
- INFO
- LICID
- SUMMARY
- OUTPUT
- SOURCE
- TARGET

#### Arguments

- `SWITCH: NONE - No messages will be logged`
- `SWITCH: ERROR - Error messages will be logged`
- `SWITCH: ERRTRACE - Error trace will be logged`
- `SWITCH: WARNING - Warnings will be logged`
- `SWITCH: NOTICE - Notices will be logged`
- `SWITCH: DEBUG - Debug information will be logged`
- `SWITCH: ABOUT - About information will be logged`
- `SWITCH: VERSION - Version information will be logged`
- `SWITCH: INPUT - Input data will be logged (dangerous for passwords)`
- `SWITCH: PARAMETER - Parsed parameters will be logged`
- `SWITCH: STATISTICS - Statistics will be logged`
- `SWITCH: SUMMARY - Summary will be logged`
- `SWITCH: INFO - Requested information will be logged`
- `SWITCH: LICID - License ID will be logged`
- `SWITCH: LICENSE - License summary will be logged`
- `SWITCH: PROGRESS - Progress bar will be logged`
- `SWITCH: OUTPUT - Output values will be logged`
- `SWITCH: USAGE - Usage reporting will be logged`
- `SWITCH: CONDBG - Debug information for remote connections`
- `SWITCH: SOURCE - List final physical source names at read`
- `SWITCH: TARGET - List final physical target names at write`
- `SWITCH: STDOUT - Standard output from third-party application`
- `SWITCH: STDERR - Standard error output from third-party application`
- `SWITCH: MATCH - Match count will be logged`
- `SWITCH: REPLACE - Replacement count will be logged`
- `SWITCH: ALL - All messages are logged`
- `SWITCH: DEFAULT - Relevant messages are logged`
- `SWITCH: MINIMAL - Only important messages are logged`
- `SWITCH: ERRONLY - Only errors and error trace are logged`